libnotmuch5 not found on macos #106

Closed
opened 4 weeks ago by Ludovic LANGE · 0 comments

When enabling a notmuch-based acccount on a macos host, the following error occurs:

libnotmuch5 was not found in your system. Make sure it is installed and in the library paths.
notmuch is not a valid mail backend

The reason is that on macos the dynamic libraries have a naming scheme different that on Linux. Currently the code is looking for a libnotmuch.so.5 DL while it's installed as libnotmuch.5.dylib.

I'll try to modify the code in melib/src/backends.rs#L159 and melib/src/backends/notmuch.rs#L310 to make it work in both worlds.

When enabling a notmuch-based acccount on a macos host, the following error occurs: ``` libnotmuch5 was not found in your system. Make sure it is installed and in the library paths. notmuch is not a valid mail backend ``` The reason is that on macos the dynamic libraries have a naming scheme different that on Linux. Currently the code is looking for a `libnotmuch.so.5` DL while it's installed as `libnotmuch.5.dylib`. I'll try to modify the code in [`melib/src/backends.rs#L159`](https://git.meli.delivery/meli/meli/src/branch/master/melib/src/backends.rs#L159) and [`melib/src/backends/notmuch.rs#L310`](https://git.meli.delivery/meli/meli/src/branch/master/melib/src/backends/notmuch.rs#L310) to make it work in both worlds.
epilys closed this issue 2 weeks ago
Sign in to join this conversation.
No Milestone
No project
No Assignees
1 Participants
Notifications
Due Date

No due date set.

Dependencies

This issue currently doesn't have any dependencies.

Loading…
There is no content yet.